Package com.sun.jna.platform.win32

# Class Sspi.SecPkgContext_Lifespan

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Sspi.SecPkgContext_Lifespan

Direct Known Subclasses:
  `Sspi.SecPkgContext_Lifespan.ByReference`

Enclosing interface:
  Sspi

@FieldOrder({"tsStart","tsExpiry"}) public static class Sspi.SecPkgContext_Lifespan extends Structure

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Sspi.SecPkgContext_Lifespan.ByReference`

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`Sspi.TimeStamp`
`tsExpiry`
Time at which the context will expire.
`Sspi.TimeStamp`
`tsStart`
Time at which the context was established.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`SecPkgContext_Lifespan()`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### tsStart

public Sspi.TimeStamp tsStart
Time at which the context was established.

### tsExpiry

public Sspi.TimeStamp tsExpiry
Time at which the context will expire.

## Constructor Details

### SecPkgContext_Lifespan

public SecPkgContext_Lifespan()